"use client";
import { useRouter } from "@/i18n/routing";
import { Loader2 } from "lucide-react";
import { useTranslations } from "next-intl";
import { useFormStatus } from "react-dom";

const ControlButtons = ({ isPreviousButton, isNextButton }: { isPreviousButton: boolean, isNextButton: boolean }) => {

	const t = useTranslations();
	const router = useRouter();
	const { pending } = useFormStatus();

	return (
		<div
			className="absolute right-0 bottom-0 z-50 p-4 flex gap-5"
		>
			{isNextButton &&

				<button
					type="submit"
					disabled={pending}
					className="w-32 h-12 text-lg text-center text-white py-2 bg-gradient-to-r from-[#1E1E1E] to-[rgba(30,30,30,0.7)] rounded-full transition-transform duration-300 ease-in-out hover:scale-105 hover:shadow-xl focus:outline-none focus:ring-4 focus:ring-gray-600"
					style={{ boxShadow: "#0000008f 0 5px 5px" }}

				>
					{pending ? <Loader2 className="animate-spin mx-auto" /> : t("Next")}
				</button>}
			{
				isPreviousButton &&
				<button
					onClick={() => router.back()}
					className="w-32 h-12 text-lg text-center text-white py-2 bg-gradient-to-r from-[#1E1E1E] to-[rgba(30,30,30,0.7)] rounded-full transition-transform duration-300 ease-in-out hover:scale-105 hover:shadow-xl focus:outline-none focus:ring-4 focus:ring-gray-600"
					style={{ boxShadow: "#0000008f 0 5px 5px" }}
				>
					{t("Previous")}
				</button>
			}

		</div>
	);
};

export default ControlButtons;